%define	libva_ver	2.4.0
Summary:	VA driver for Intel G45 and HD Graphics family
Summary(pl.UTF-8):	Sterownik VA do kart Intela z rodziny G45 i HD Graphics
Name:		libva-driver-intel
Version:	2.4.1
Release:	1
License:	MIT
Group:		Libraries
#Source0Download: https://github.com/intel/intel-vaapi-driver/releases
Source0:	https://github.com/intel/intel-vaapi-driver/releases/download/%{version}/intel-vaapi-driver-%{version}.tar.bz2
# Source0-md5:	073fce0f409559109ad2dd0a6531055d
URL:		https://01.org/linuxmedia
BuildRequires:	Mesa-libEGL-devel
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake >= 1:1.9
BuildRequires:	libdrm-devel >= 2.4.52
BuildRequires:	libva-devel >= %{libva_ver}
BuildRequires:	libva-drm-devel >= %{libva_ver}
BuildRequires:	libva-wayland-devel >= %{libva_ver}
BuildRequires:	libva-x11-devel >= %{libva_ver}
BuildRequires:	libtool
BuildRequires:	pkgconfig
# VA-API version, not just package version
BuildRequires:	pkgconfig(libva) >= 1.1.0
# wayland-client
BuildRequires:	wayland-devel >= 1.11.0
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXfixes-devel
Requires:	libdrm >= 2.4.52
Requires:	libva >= %{libva_ver}
Requires:	wayland >= 1.11.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libva-driver-intel is the VA-API implementation for Intel G45 chipsets
and Intel HD Graphics for Intel Core processor family.

%description -l pl.UTF-8
libva-driver-intel to implementacja VA-API dla układów Intel G45 oraz
Intel HD Graphics przeznaczonych dla rodziny procesorów Intel Core.

%prep
%setup -q -n intel-vaapi-driver-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-hybrid-codec \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libva/dri/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/libva/dri/i965_drv_video.so
%changelog
* Tue Jul 07 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libva-driver-intel.git;a=log;h=master

* Tue Jul 07 2020 Jakub Bogusz <qboosh@pld-linux.org> 88c5fcc
- updated to 2.4.1 (gcc10 fixes)

* Sat Mar 14 2020 Jakub Bogusz <qboosh@pld-linux.org> 7644d3a
- updated to 2.4.0

* Thu Feb 28 2019 Jakub Bogusz <qboosh@pld-linux.org> 52e62be
- updated to 2.3.0

* Fri Nov 02 2018 Lukasz Glebicki <blekot@pld-linux.org> 8e64ff6
- up to 2.2.0

* Sat May 27 2017 Jakub Bogusz <qboosh@pld-linux.org> 5636a02
- updated to 1.8.2

* Wed May 10 2017 Jakub Bogusz <qboosh@pld-linux.org> c105bf6
- updated to 1.8.1

* Thu Dec 15 2016 Tomasz Pala <gotar@pld-linux.org> cc71123
- upgraded to 1.7.3

* Wed Oct 05 2016 Jakub Bogusz <qboosh@pld-linux.org> b4a94cf
- updated to 1.7.2

* Sat Jun 25 2016 Jakub Bogusz <qboosh@pld-linux.org> 2670513
- updated to 1.7.1

* Sun Apr 24 2016 Jakub Bogusz <qboosh@pld-linux.org> dab3f01
- updated to 1.7.0

* Sun Dec 20 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 6220648
- up to 1.6.2

* Fri Sep 11 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 67f6a68
- up to 1.6.1

* Fri Jul 03 2015 Jakub Bogusz <qboosh@pld-linux.org> fb430ed
- updated libva API version

* Fri Jul 03 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> ee74ca2
- up to 1.6.0

* Sun Mar 22 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> c386c7a
- up to 1.5.1

* Wed Dec 31 2014 Jakub Bogusz <qboosh@pld-linux.org> 0b35114
- updated libva API version

* Wed Dec 31 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 5c9a8cb
- up to 1.5.0

* Sat Oct 25 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d8c32af
- up to 1.4.1

* Sat Oct 04 2014 Jakub Bogusz <qboosh@pld-linux.org> 5ae0444
- updated required libva API version

* Tue Sep 30 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 457e3e5
- up to 1.4.0

